Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IEditHelperContext

All Known Implementing Classes:
  EditHelperContext

    public interface IEditHelperContext

The context of an editing gesture. It represents the `EObject` or `IElementType` that is the subject of the editing action, and the `IClientContext` in which the editing will be performed.

If the `IElementType` is specified, the `EObject` will be ignored in determining the context of the editing gesture.

This interface should not be implemented by clients. The `EditHelperContext` should be instantiated instead.

Method Summary
`IClientContext` `getClientContext()` Gets the client context in which the editing gesture will be performed.
`IElementType` `getElementType()` Gets the `IElementType` that is the subject of the editing action.
`org.eclipse.emf.ecore.EObject` `getEObject()` Gets the `EObject` that is the subject of the editing action.

Method Detail

### getEObject

    org.eclipse.emf.ecore.EObject getEObject()

  Gets the `EObject` that is the subject of the editing action.

  Returns:
    the subject of the editing action

### getElementType

    IElementType getElementType()

  Gets the `IElementType` that is the subject of the editing action.

  Returns:
    the element type

### getClientContext

    IClientContext getClientContext()

  Gets the client context in which the editing gesture will be performed.

  Returns:
    the client context

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.